Subject: [AAA-WG]: Client side initiated session termination for Diameter base proto col

From: Tschofenig Hannes <[email-masked]>
Date: Mon, 20 Sep 2004 11:16:10 +0200

Hi all, 

Section 8.4 of RFC 3588 states: 

"
   When a user session that required Diameter authorization terminates,
   the access device that provided the service MUST issue a Session-
   Termination-Request (STR) message to the Diameter server that
   authorized the service, to notify it that the session is no longer
   active.  An STR MUST be issued when a user session terminates for any
   reason, including user logoff, expiration of Session-Timeout,
   administrative action, termination upon receipt of an Abort-Session-
   Request (see below), orderly shutdown of the access device, etc.
"

I could not find a "user logoff" event in the CLIENT, STATEFUL
state machine in Section 8.1?

Ciao
Hannes